## rb-property-view

rb-property-view

## Synopsis

    typedef             RBPropertyViewPrivate;
    RBPropertyView*     rb_property_view_new                (RhythmDB *db,
                                                             guint propid,
                                                             const char *title);
    void                rb_property_view_set_selection_mode (RBPropertyView *view,
                                                             GtkSelectionMode mode);
    void                rb_property_view_reset              (RBPropertyView *view);
    void                rb_property_view_set_selection      (RBPropertyView *view,
                                                             const GList *names);
    RhythmDBPropertyModel* rb_property_view_get_model       (RBPropertyView *view);
    void                rb_property_view_set_model          (RBPropertyView *view,
                                                             RhythmDBPropertyModel *model);
    guint               rb_property_view_get_num_properties (RBPropertyView *view);

## Description

## Details

### RBPropertyViewPrivate

    typedef struct RBPropertyViewPrivate RBPropertyViewPrivate;

### rb_property_view_new ()

    RBPropertyView*     rb_property_view_new                (RhythmDB *db,
                                                             guint propid,
                                                             const char *title);

`db` : |
`propid` : |
`title` : |
Returns : |

### rb_property_view_set_selection_mode ()

    void                rb_property_view_set_selection_mode (RBPropertyView *view,
                                                             GtkSelectionMode mode);

`view` : |
`mode` : |

### rb_property_view_reset ()

    void                rb_property_view_reset              (RBPropertyView *view);

`view` : |

### rb_property_view_set_selection ()

    void                rb_property_view_set_selection      (RBPropertyView *view,
                                                             const GList *names);

`view` : |
`names` : |

### rb_property_view_get_model ()

    RhythmDBPropertyModel* rb_property_view_get_model       (RBPropertyView *view);

`view` : |
Returns : |

### rb_property_view_set_model ()

    void                rb_property_view_set_model          (RBPropertyView *view,
                                                             RhythmDBPropertyModel *model);

`view` : |
`model` : |

### rb_property_view_get_num_properties ()

    guint               rb_property_view_get_num_properties (RBPropertyView *view);

`view` : |
Returns : |